Subject: Re: [bug-diffutils] bug#53256: Compiling 3.8 with nvhpc 22.1 : malloca.c 64 bits operations with signed and unsigned operands are currently unsupported by __builtin_add_overflow

From: Jeffrey Walton <[email-masked]>
Date: Sat, 15 Jan 2022 07:24:38 -0500

On Fri, Jan 14, 2022 at 10:53 PM Paul Eggert <[email-masked]> wrote:
> ...
> Thanks for the bug report. Although nvc 22.1 defines __GNUC__ to be 11
> which means it supports GNU C as of GCC 11, that's obviously untrue for
> __builtin_add_overflow. That's unfortunate. Perhaps you could report
> this as a bug to NVIDIA, as their compiler shouldn't claim to support
> GNU C features that it lacks. nvc can set __GNUC__ to be the version of
> GNU C that it actually does support.

The GCC folks don't approve of other compilers setting __GNUC__. It's
a GCC define, and other compilers should not be defining it. The GCC
folks recommend filing a bug with the other compiler for defining
__GNUC__. [1]

[1] https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61146#c2

Jeff